GuidesAPI ReferenceChangelogAPI StatusAPI PolicyGusto Security
API Reference

Get all tax payments for a company

Fetches all tax payments Gusto has made (or scheduled) to tax agencies on behalf of a company.

scope: tax_payments:read

Path Params
string
required

The UUID of the company

Query Params
jurisdiction
array of strings

Filter by tax jurisdiction. Accepts one or more two-letter state codes, or US for federal, as a comma-separated list (e.g. IL,CA). Codes are case-insensitive.

jurisdiction
date

Lower-bound (inclusive) date filter on due_date.

date

Upper-bound (inclusive) date filter on due_date.

date

Lower-bound (inclusive) date filter on payment_sent_on.

date

Upper-bound (inclusive) date filter on payment_sent_on.

date

Lower-bound (inclusive) date filter on period_start.

date

Upper-bound (inclusive) date filter on period_start.

date

Lower-bound (inclusive) date filter on period_end.

date

Upper-bound (inclusive) date filter on period_end.

float

Lower-bound (inclusive) filter on amount.

float

Upper-bound (inclusive) filter on amount.

string
^(amount|due_date|payment_sent_on|period_end|period_start)(:(asc|desc))?(,(amount|due_date|payment_sent_on|period_end|period_start)(:(asc|desc))?)*$

Sort by one or more fields. Options: amount, due_date, payment_sent_on, period_end, period_start. Append :asc or :desc to specify direction (e.g., amount:asc). Defaults to ascending.

integer

The page that is requested. When unspecified, will load all objects unless endpoint forces pagination.

integer

Number of objects per page. For majority of endpoints will default to 25

Headers
string
enum
Defaults to 2026-06-15

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json